#include <bits/stdc++.h>
using namespace std;

int sum(int x1,int y1,int x[],int y[],int n)
{
	int s = 0;
	for(int i = 0; i < n;i++)
	{
		s+= abs(x[i] - x1) * abs(y[i] - y1);
	}
	return s;
}

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	int m; 
	cin >> m;
	int x[m],y[m];
	for(int i = 0 ; i < m;i++) cin >> x[i] >> y[i];
	cout << 0 << "\n";
	for(int i = 1; i < m;i++)
	{
		int x1 = x[0],y1 = y[0];
		if(i == 1)
		{
			if(abs(x[0]) + abs(y[0]) < abs(x[1]) + abs(y[1]))
			{
				x1 = x[0];
				y1 = y[0];
			}
			else
			{
				x1 = x[1];
				y1 = y[1];
			}
		}
		else
		{
		for(int j = 0; j < i;j++)
		{
			if(abs(x[j]) < abs(x1)) x1 = x[j];
			if(abs(y[j]) < abs(y1)) y1 = y[j];
		}
		}
		cout << sum(x1,y1,x,y,i+1) << "\n";
		
	}
}